目录

Obtains all offer models from the issuer and returns the models by page, based on session and pageSize.

1 Request

HTTP request

GET
https://${url}/hmspass/v1/offer/model?session={session}&pageSize={pageSize}

Note: The ${url} variable in the preceding request should be selected based on the region where the wallet server is located. For details, please refer to Wallet Server Address.

Path Parameters

Parameter nameValueDescription
sessionStringIf you set pageSize, and the overall number of objects is larger than the pageSize, the HTTP response will return a "nextSession" parameter. Set the "nextSession" you just got to this "session" parameter and send this query request again, you will get the next group of objects. Do not set this parameter when you send the query request for the first time.
pageSizeIntThis parameter identifies the maximum number of results returned by a list. All results are returned if this parameter is not specified.

Note: If session and pageSize are both absent, all objects will be returned. If session is not set while pageSize is set, then the first group of objects will be returned. If sesion and pageSize are both set, then the next group of objects will be returned. Session should not be set if pageSize is not set.

Request body

The request body must be empty.

2 Response

If successful, this method returns a response with the following structure:
Response:
{
  "pageInfo": {
    object (PageInfo)
}

  "data": [
    {
      object (hwWalletObject)
    }
  ]
}

Parameter nameValueDescription
dataArray<hwWalletObject>Offer models corresponding to the query request.
pageInfoPageInfoNumber of results returned on each page.


PageInfo

Parameter nameValueDescription
serviceTypeStringThe value is always hmspass#pageInfo.
pageSizeIntNumber of results returned on this page.
nextSessionStringSession that is used to fetch the next page (valid within five minutes).